CRAN Package Check Results for Package felp

Last updated on 2019-11-12 13:46:15 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2.1 1.65 27.99 29.64 OK
r-devel-linux-x86_64-debian-gcc 0.2.1 1.40 22.34 23.74 OK
r-devel-linux-x86_64-fedora-clang 0.2.1 36.94 NOTE
r-devel-linux-x86_64-fedora-gcc 0.2.1 37.15 NOTE
r-devel-windows-ix86+x86_64 0.2.1 5.00 45.00 50.00 OK
r-patched-linux-x86_64 0.2.1 1.43 27.11 28.54 OK
r-patched-solaris-x86 0.2.1 41.30 ERROR
r-release-linux-x86_64 0.2.1 1.45 26.84 28.29 OK
r-release-windows-ix86+x86_64 0.2.1 5.00 65.00 70.00 OK
r-release-osx-x86_64 0.2.1 ERROR
r-oldrel-windows-ix86+x86_64 0.2.1 2.00 64.00 66.00 OK
r-oldrel-osx-x86_64 0.2.1 ERROR

Check Details

Version: 0.2.1
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘prettycode’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 0.2.1
Check: tests
Result: ERROR
     Running ‘testthat.R’
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     > library(felp)
    
     Attaching package: 'felp'
    
     The following object is masked from 'package:utils':
    
     ?
    
     >
     > test_check("felp")
     Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
     Execution halted
Flavor: r-patched-solaris-x86

Version: 0.2.1
Check: tests
Result: ERROR
     Running ‘testthat.R’ [1s/1s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     > library(felp)
    
     Attaching package: 'felp'
    
     The following object is masked from 'package:utils':
    
     ?
    
     >
     > test_check("felp")
     Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
     Execution halted
Flavors: r-release-osx-x86_64, r-oldrel-osx-x86_64